Python Interpreters Benchmarks
x64 ArchLinux : AMD® Ryzen 7 4700U®

 performance measurements

Each table row shows performance measurements for this Pyston program with a particular command-line input value N.

 N  CPU secs Elapsed secs Memory KB Code B ≈ CPU Load

Read the ↓ make, command line, and program output logs to see how this program was run.

Read spectral-norm benchmark to see what this program should do.

 notes

 spectral-norm Pyston #2 program source code

# The Computer Language Benchmarks Game
# http://benchmarksgame.alioth.debian.org/
#
# Contributed by Sebastien Loisel
# Fixed by Isaac Gouy
# Sped up by Josh Goldfoot
# Dirtily sped up by Simon Descarpentries
# Sped up with numpy by Kittipong Piyawanno
# 2to3

from sys import argv
from numpy import *

def spectralnorm(n):
	u = matrix(ones(n))
	j = arange(n)
	eval_func = lambda i : 1.0 / ((i + j) * (i + j + 1) / 2 + i + 1)
	M = matrix([eval_func(i) for i in arange(n)])
	MT = M.T
	for i in range (10):
		v = (u*MT)*M
		u = (v*MT)*M
	print("%0.9f" % (sum(u*v.T)/sum(v*v.T))**0.5)

spectralnorm(int(argv[1]))

 make, command-line, and program output logs

 Mon, 25 Jan 2021 21:37:33 GMT

COMMAND LINE:
 /usr/bin/pyston spectralnorm.pyston-2.pyston 550

PROGRAM FAILED 


PROGRAM OUTPUT:

Traceback (most recent call last):
  File "/usr/lib/pyston3.8/site-packages/numpy/core/__init__.py", line 22, in <module>
    from . import multiarray
  File "/usr/lib/pyston3.8/site-packages/numpy/core/multiarray.py", line 12, in <module>
    from . import overrides
  File "/usr/lib/pyston3.8/site-packages/numpy/core/overrides.py", line 7, in <module>
    from numpy.core._multiarray_umath import (
ModuleNotFoundError: No module named 'numpy.core._multiarray_umath'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "spectralnorm.pyston-2.pyston", line 12, in <module>
    from numpy import *
  File "/usr/lib/pyston3.8/site-packages/numpy/__init__.py", line 140, in <module>
    from . import core
  File "/usr/lib/pyston3.8/site-packages/numpy/core/__init__.py", line 48, in <module>
    raise ImportError(msg)
ImportError: 

IMPORTANT: PLEASE READ THIS FOR ADVICE ON HOW TO SOLVE THIS ISSUE!

Importing the numpy C-extensions failed. This error can happen for
many reasons, often due to issues with your setup or how NumPy was
installed.

We have compiled some common reasons and troubleshooting tips at:

    https://numpy.org/devdocs/user/troubleshooting-importerror.html

Please note and check the following:

  * The Python version is: Python3.8 from "/usr/bin/pyston"
  * The NumPy version is: "1.19.3"

and make sure that they are the versions you expect.
Please carefully study the documentation linked above for further help.

Original error was: No module named 'numpy.core._multiarray_umath'

Revised BSD license

  Home   Conclusions   License   Play